Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366398 - Children services are not displayed in "My services" [NEEDINFO]
Summary: Children services are not displayed in "My services"
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: GA
: 5.7.0
Assignee: Chris Hale
QA Contact: Dave Johnson
URL:
Whiteboard: ui:ssui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 21:16 UTC by Fabien Dupont
Modified: 2016-11-17 13:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-17 13:59:14 UTC
Category: ---
Cloudforms Team: ---
dclarizi: needinfo? (jhardy)


Attachments (Terms of Use)
Main Portal : parent/children services (deleted)
2016-08-26 09:44 UTC, Fabien Dupont
no flags Details
SSUI - My Services (deleted)
2016-08-26 09:46 UTC, Fabien Dupont
no flags Details
SSUI - TopLevel Service (deleted)
2016-08-26 09:47 UTC, Fabien Dupont
no flags Details


Links
System ID Priority Status Summary Last Updated
Github https://github.com/ManageIQ manageiq-ui-self_service issues 100 None None None 2016-08-11 21:16:05 UTC

Description Fabien Dupont 2016-08-11 21:16:06 UTC
Description of problem:
I have nested services: a parent service has children services. Only the top level services are visible in "My Services". When connected to the classic UI, the children services are correctly displayed. Nested services is really useful to create a service hierarchy and allow large scale retirement.

Version-Release number of selected component (if applicable): 5.6.0

How reproducible: Always

Steps to Reproduce:
Create nested services. A nested service has a parent_service.

Actual results:
In the classic UI, go in "My Services". All services are displayed as a tree.
In the Self Service UI, go in "My Services". Only the highest level service is displayed.

Expected results:
In both UIs, all services are displayed. The tree widget may not fit the layout of SSUI.

Comment 3 Fabien Dupont 2016-08-26 09:44:47 UTC
Created attachment 1194271 [details]
Main Portal : parent/children services

The main portal showing parent/children services tree. When looking at a child service, we see the parent service relationship.

Comment 4 Fabien Dupont 2016-08-26 09:46:28 UTC
Created attachment 1194273 [details]
SSUI - My Services

The SSUI showing the "My Services" view, where only parent services are visible as cards.

Comment 5 Fabien Dupont 2016-08-26 09:47:43 UTC
Created attachment 1194274 [details]
SSUI - TopLevel Service

The SSUI showing the detail of a top level service, thus showing that the children services are nowhere to be seen.

Comment 7 Chris Kacerguis 2016-11-17 13:59:14 UTC
Tracking this here: https://www.pivotaltracker.com/story/show/134477611


Note You need to log in before you can comment on or make changes to this bug.